#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGamescopeBlurMode {
    Disabled = 0,
    IfOccluded = 1,
    Always = 2,
}

impl EGamescopeBlurMode {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Disabled as i32 => Some(Self::Disabled),
            x if x == Self::IfOccluded as i32 => Some(Self::IfOccluded),
            x if x == Self::Always as i32 => Some(Self::Always),
            _ => None,
        }
    }
}
